"""============================================================
با فرض اینکه لیستی به نام A حاوی ۴۰ شماره دانشجویی قبلاً ذخیره گردیده
و به صورت صعودی مرتب شده است منطق برنامه ای را طراحی کنید که یک شماره
دانشجویی را در ورودی دریافت کند چنانچه شماره دانشجویی دریافتی در لیست
وجود داشته باشد اندیس عنصر پیدا شده را چاپ کند در غیر اینصورت عدد صفر
را چاپ کند
============================================================"""
import sort_algoritm
A = [
    3765482, 2875169, 3545135, 3252835, 3334316,
    3088305, 4033025, 3823298, 2875584, 3561174,
    2241149, 2489107, 4125645, 3204710, 4028975,
    2808462, 3189421, 4323456, 3426569, 2288776,
    2920747, 3346497, 3642680, 4140406, 3329756,
    2471143, 4013691, 4362122, 4324995, 3685537,
    3766309, 2410386, 2354135, 2439616, 3718777,
    4105055, 2645279, 4190624, 4234041, 2539182,
]
A = sort_algoritm.bubble_sort(A)
id_stu = int(input("Please enter your number: "))
key = False
for i in range(len(A)):
    if id_stu == A[i]:
        key = True
        index = i
if key == True:
    print("Index: ",index)
else:
    print("I can't find this item...")


